reflex::AbstractMatcher::Const Struct Reference

|  | reflex::AbstractMatcher::Const Struct Reference updated Thu Jun 19 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Attributes | List of all members
reflex::AbstractMatcher::Const Struct Reference

AbstractMatcher::Const common constants. More...

`#include <absmatcher.h>`

## Static Public Attributes
static const Method | SCAN = 0
| AbstractMatcher::match method is to scan input (tokenizer) More...
static const Method | FIND = 1
| AbstractMatcher::match method is to find pattern in input. More...
static const Method | SPLIT = 2
| AbstractMatcher::match method is to split input at pattern matches. More...
static const Method | MATCH = 3
| AbstractMatcher::match method is to match the entire input. More...
static const int | NUL = '\0'
| NUL string terminator. More...
static const int | UNK = 256
| unknown/undefined character meta-char marker More...
static const int | BOB = 257
| begin of buffer meta-char marker More...
static const int | EOB = EOF
| end of buffer meta-char marker More...
static const size_t | BLOCK = 4096
| minimum remaining unused space in the buffer, to prevent excessive shifting More...
static const size_t | BUFSZ = (256*1024)
| initial buffer size, at least 4096 bytes More...
static const size_t | BOLSZ = BUFSZ
| max begin of line size till match to retain in memory by growing the buffer More...
static const size_t | REDO = 0x7fffffff
| reflex::Matcher::accept() returns "redo" with reflex::Matcher option "A" More...
static const size_t | EMPTY = 0xffffffff
| accept() returns "empty" last split at end of input More...

## Detailed Description

AbstractMatcher::Const common constants.

## Member Data Documentation

const size_t reflex::AbstractMatcher::Const::BLOCK = 4096
| static

minimum remaining unused space in the buffer, to prevent excessive shifting

const int reflex::AbstractMatcher::Const::BOB = 257
| static

begin of buffer meta-char marker

const size_t reflex::AbstractMatcher::Const::BOLSZ = BUFSZ
| static

max begin of line size till match to retain in memory by growing the buffer

const size_t reflex::AbstractMatcher::Const::BUFSZ = (256*1024)
| static

initial buffer size, at least 4096 bytes

const size_t reflex::AbstractMatcher::Const::EMPTY = 0xffffffff
| static

accept() returns "empty" last split at end of input

const int reflex::AbstractMatcher::Const::EOB = EOF
| static

end of buffer meta-char marker

const Method reflex::AbstractMatcher::Const::FIND = 1
| static

AbstractMatcher::match method is to find pattern in input.

const Method reflex::AbstractMatcher::Const::MATCH = 3
| static

AbstractMatcher::match method is to match the entire input.

const int reflex::AbstractMatcher::Const::NUL = '\0'
| static

NUL string terminator.

const size_t reflex::AbstractMatcher::Const::REDO = 0x7fffffff
| static

reflex::Matcher::accept() returns "redo" with reflex::Matcher option "A"

const Method reflex::AbstractMatcher::Const::SCAN = 0
| static

AbstractMatcher::match method is to scan input (tokenizer)

const Method reflex::AbstractMatcher::Const::SPLIT = 2
| static

AbstractMatcher::match method is to split input at pattern matches.

const int reflex::AbstractMatcher::Const::UNK = 256
| static

unknown/undefined character meta-char marker

The documentation for this struct was generated from the following file:

- absmatcher.h